package com.inkasso.factoring.system.message.service;

import com.inkasso.adapter.page.PageResult;
import com.inkasso.adapter.service.KafubaoService;
import com.inkasso.factoring.system.message.entity.MessageDO;
import com.inkasso.factoring.system.message.model.dto.MessageDTO;
import com.inkasso.factoring.system.message.model.request.AddMessageRequest;
import com.inkasso.factoring.system.message.model.request.QueryMessageRequest;

/**
* @author 张超
* @date  2023-08-18
*/
  public interface MessageService extends KafubaoService<MessageDO,MessageDTO> {

  /**
  * 添加操作
  * @param addMessageRequest
  */
  void addMessage(AddMessageRequest addMessageRequest);

  /**
  * 编辑操作
  * @param messageId
  */
  void editMessage(Long messageId);

  /**
   * 一键已读
   * @param
   */
  void batchUpdateMessage();

  /**
  * 通过id获取详细信息
  * @param id
  */
    MessageDTO getById(Long id);

  /**
  * 删除
  */
  void deleteMessage(Long id);

  Object queryMessageNum(QueryMessageRequest queryMessageRequest);

  PageResult<MessageDTO>  pageQueryList(QueryMessageRequest queryMessageRequest);
}

